<html>  
  <head> 
    <meta http-equiv="Content-Language" content="en-us"> 
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"> 
    <title>Project Runner Data</title> 
  </head>  

  <body>  
    <a name="HOME"></a> 

    <h1 align="center">Texas Instruments Test Results</h1>   
    <h1 align="center">DSPLIB 3.4.0.4 C66x</h1>   
    <h1></h1>   
    
    <div> 
      <h1>&nbsp;</h1>
      <h1>Session Summary</h1>   
      <table bgcolor="#ffffff" border="1" cellspacing="2" cellpadding="4" width="50%"> 

        <tr bgcolor="#999999" align="center"> 
          <th>Endianness</th> 
          <th>Object Format</th> 
          <th>Link</th> 
        </tr>  

        <tr align="left"> 
          <td rowspan="2">Little Endian</td> 
        </tr>  

        <tr align="left"> 
          <td>ELF Format</td> 
          <td><a href="#LE">View Results</a></td> 
        </tr>  

		<tr align="left"> 
          <td rowspan="2">Big Endian</td> 
        </tr>  

        <tr align="left"> 
          <td>ELF Format</td> 
          <td><a href="#BE">View Results</a></td> 
        </tr>  
      </table>  
    </div>

	

    <div>
      <h1>&nbsp;</h1>   
      <a name="LE"></a> 
      <table bgcolor="#ffffff" border="1" cellspacing="2" cellpadding="4"> 

        <tr bgcolor="#999999" align="left"> 
          <th colspan="5"><big>Test Parameters</big></th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Precision:</th>
          <th colspan="3">Fixed Point</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Endianness:</th>
          <th colspan="3">Little</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Object File Format:</th>
          <th colspan="3">ELF</th>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Platform:</th>
          <th colspan="3">CCS Simulator</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Cores Used:</th>
          <th colspan="3"> 1</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CCS Version:</th>
          <th colspan="3">5.4.0.00091</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CGT Version:</th>
          <th colspan="3">8.3.3</th>
        </tr>
        
        <tr align="center"> 
          <th rowspan="2" bgcolor="#cccccc">KERNEL</th> 
          <th rowspan="2" bgcolor="#cccccc">RESULT</th> 
          <th colspan="2" bgcolor="#cccccc">CYCLE FORMULA</th> 
          <th rowspan="2" bgcolor="#cccccc">PROGRAM<br>MEMORY</th> 
        </tr>  
		
		<tr align="center"> 
          <th bgcolor="#cccccc">EQUATION</th> 
          <th bgcolor="#cccccc">VARIABLES<br /></th> 
        </tr>  

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_cholesky</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">   191231 (order= 64)  1277407 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1344<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_cholesky_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  58844 (order=32)  256388 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1792<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_fftDPxDP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1671 (N=128) 3175 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_ifftDPxDP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1703 (N=128) 3211 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1376<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1210310 (order=64)  9375871 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1184<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  290658 (order=32)  1893926 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_inv</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2479295 (order=64)  19153727 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  4096<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_inv_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  813088 (order=32)  6136848 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  4512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_sol</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  26579 (order=64)  85870 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3712<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_sol_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  10951 (order=32)  30079 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3328<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_mat_mul_gemm</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*r1*c2*c1 + 12/2*r1*c2 + 22/2*c2 + 21</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  608<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_mat_submat_copy</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 13*C + 22</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 6*R + 30</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_qrd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1322352 (order=64)  9632496 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1088<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_qrd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  277119 (order=32)  1834239 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1920<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_svd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  13726658 (order=64)  99109460 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  7936<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_svd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4914174 (order=32)  26944281 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  12192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_autocor</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx*Nr + 28/4*Nr + 34</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  448<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_biquad</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7*Nx + 57 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_bitrev_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9/4*Nx + 38 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  320<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_cholesky</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">   5197 (order=16)  21791 (order=32)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  2176<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_cholesky_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">    56114 (order= 32)   257570 (order= 64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1056<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_convol</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Ny*Nh + 80/8*Ny + 32</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_dotprod_d</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 46 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_dotp_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 48 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  320<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_erand</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4237 (N=128) 8281 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fftSPxSP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  860 (N=128) 1576 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  2688<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fftSPxSP_r2c</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  597 (N=128) 1179 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3616<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fircirc</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2/4*Ny*Nh + 26/4*Ny + 39</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2/4*Nh*Nr + 35/4*Nr + 25</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_gen</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nr*Nh + 28/4*Nr + 39</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_r2</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nr*Nh + 38/8*Nr + 44</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_ifftSPxSP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  864 (N=128) 1583 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3808<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_ifftSPxSP_r2c</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  589 (N=128) 1152 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3808<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_iir</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8*Nr + 54 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_iirlat</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7/4*Nx*Nk + 108/4*Nx + 50</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lms</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*Nx*Nh + 29*Nx + 36</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  718613 (order=64)  5310224 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1312<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  284060 (order=32)  1868448 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1216<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_inv</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1780867 (order=64)  12819763 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  4960<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_inv_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  492070 (order=32)  3551302 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3104<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_sol</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  25114 (order=64)  79914 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1312<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_sol_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  10430 (order=32)  28979 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3904<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*r1*c2*c1 + 34/8*r1*c2 + 80/8*r1 + 21</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/8*r1*c2*c1 + 50/8*r1*c2 + 92/8*r1 + 32</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  704<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_gemm</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7/32*r1*c2*c1 + 100/32*r1*c2 + 328/32*c2 + 49</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  992<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_gemm_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">N/A</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  672<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_submat_copy</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*R*C + 26/2*C + 26</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_submat_copy_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 13*C + 22</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*R*C + 8/2*R + 29</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_trans_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 6*R + 28</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_maxidx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_maxval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_minerr</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1320</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_minval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_nrand</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  6613 (N=128) 12958 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_qrd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1293362 (order=64)  3427351 (order=90)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1024<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_qrd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  218650 (order=32)  1403866 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1568<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_svd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9537454 (order=64)  68589392 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  7520<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_svd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3697520 (order=32)  20792682 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  9696<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_urand</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9*Nx + 56 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  928<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecadd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecmul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecrecip</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/2*Nx + 36 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecsum_sq</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 51 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_w_vec</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 27 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_add16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nx + 22 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_add32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 22 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_autocor</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx*Nr + 42/8*Nr + 41</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  608<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_bexp</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*n_hwords + 22 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*n_words + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap64</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*n_dbls + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_move</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 19 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  64<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_dotprod</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_dotp_sqr</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16_r</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  458 (N=128) 841 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1376<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16_imre</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  809 (N=128) 1466 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  2528<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft32x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  806 (N=128) 1462 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft32x32s</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  791 (N=128) 1447 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1280<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_firlms2</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*NH + 37 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nr*Nh + 34/8*Nr + 28</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_cplx_hM4X4</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/16*Nr*Nh + 76/16*Nr + 35</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_gen</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/32*Nr*Nh + 64/32*Nr + 55</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  800<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_gen_hM17_rA8X8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4/32*Nr*Nh + 68/32*Nr + 39</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r4</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nr*Nh + 17/8*Nr + 41</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nr*Nh + 17/8*Nr + 41</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/2*Nr + 40 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  320<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h24</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  11/4*Nr + 41 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*Nr + 42 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_hM16_rM8A8X8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7/64*Nr*Nh + 208/64*Nr + 48</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  672<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/16*Nr*Nh + 104/16*Nr + 34</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fltoq15</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 33 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x16_imre</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  755 (N=128) 1412 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1280<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft32x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  807 (N=128) 1463 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_real16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4*Nx + 36 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_lat</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/4*Nx*Nk + 92/4*Nx + 28</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_ss</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4/8*nCoefs + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_mul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2/8*r1*c2*c1 + 22/8*r1*c2 + 38/8*c2 + 23</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_mul_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*r1*c2*c1 + 26/4*r1*c2 + 24/4*r1 + 36</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*R*C + 31</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_maxidx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/16*Nx + 72 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_maxval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx + 26 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_minerror</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  613</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_minval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx + 29 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mul32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 26 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_neg32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 21 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_q15tofl</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 34 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_recip16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8*Nx + 46 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_urand16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3*Nx + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_urand32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9*Nx + 38 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_vecsum_sq</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  64<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_w_vec</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nr + 36 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>
 
      </table>  
      <p><a href="#HOME">Top</a>
    </div>


    <div>
      <h1>&nbsp;</h1>   
      <a name="BE"></a> 
      <table bgcolor="#ffffff" border="1" cellspacing="2" cellpadding="4"> 

        <tr bgcolor="#999999" align="left"> 
          <th colspan="5"><big>Test Parameters</big></th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Precision:</th>
          <th colspan="3">Fixed Point</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Endianness:</th>
          <th colspan="3">Big</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Object File Format:</th>
          <th colspan="3">ELF</th>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Platform:</th>
          <th colspan="3">CCS Simulator</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Cores Used:</th>
          <th colspan="3"> 1</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CCS Version:</th>
          <th colspan="3">5.4.0.00091</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CGT Version:</th>
          <th colspan="3">8.3.3</th>
        </tr>
        
        <tr align="center"> 
          <th rowspan="2" bgcolor="#cccccc">KERNEL</th> 
          <th rowspan="2" bgcolor="#cccccc">RESULT</th> 
          <th colspan="2" bgcolor="#cccccc">CYCLE FORMULA</th> 
          <th rowspan="2" bgcolor="#cccccc">PROGRAM<br>MEMORY</th> 
        </tr>  
        
        <tr align="center"> 
          <th bgcolor="#cccccc">EQUATION</th> 
          <th bgcolor="#cccccc">VARIABLES<br /></th> 
        </tr>  
    

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_cholesky</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">   191231 (order= 64)  1277407 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1344<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_cholesky_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  58844 (order=32)  256388 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1792<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_fftDPxDP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1671 (N=128) 3175 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_ifftDPxDP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1703 (N=128) 3211 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1376<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1210310 (order=64)  9375871 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1184<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  290658 (order=32)  1893926 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_inv</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2479295 (order=64)  19153727 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  4096<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_inv_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  813088 (order=32)  6136848 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  4512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_sol</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  26579 (order=64)  85870 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3712<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_lud_sol_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  10951 (order=32)  30079 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3328<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_mat_mul_gemm</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*r1*c2*c1 + 12/2*r1*c2 + 22/2*c2 + 21</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  608<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_mat_submat_copy</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 13*C + 22</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 6*R + 30</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_qrd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1322352 (order=64)  9632496 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1088<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_qrd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  277119 (order=32)  1834239 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1920<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_svd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  13726658 (order=64)  99109460 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  7936<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_dp_svd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4914174 (order=32)  26944281 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  12192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_autocor</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx*Nr + 25/4*Nr + 33</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  448<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_biquad</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7*Nx + 57 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_bitrev_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9/4*Nx + 38 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  320<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_cholesky</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">   5197 (order=16)  21791 (order=32)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  2176<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_cholesky_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">    52753 (order= 32)   243681 (order= 64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  992<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_convol</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Ny*Nh + 80/8*Ny + 32</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_dotprod_d</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 46 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_dotp_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 47 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_erand</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4634 (N=128) 9070 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fftSPxSP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  860 (N=128) 1570 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  2880<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fftSPxSP_r2c</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  592 (N=128) 1180 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3840<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fircirc</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2/4*Ny*Nh + 27/4*Ny + 39</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2/4*Nh*Nr + 33/4*Nr + 23</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_gen</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nr*Nh + 26/4*Nr + 35</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  448<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_r2</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nr*Nh + 38/8*Nr + 41</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_ifftSPxSP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  863 (N=128) 1611 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3264<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_ifftSPxSP_r2c</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  591 (N=128) 1149 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3264<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_iir</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8*Nr + 50 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_iirlat</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7/4*Nx*Nk + 108/4*Nx + 49</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lms</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*Nx*Nh + 29*Nx + 36</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  718613 (order=64)  5310224 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1312<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  272571 (order=32)  1778895 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1184<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_inv</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1780867 (order=64)  12819763 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  4960<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_inv_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  467639 (order=32)  3408279 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  2944<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_sol</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  25115 (order=64)  79915 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1312<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lud_sol_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  10636 (order=32)  29403 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  3776<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*r1*c2*c1 + 34/8*r1*c2 + 80/8*r1 + 18</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/8*r1*c2*c1 + 44/8*r1*c2 + 92/8*r1 + 29</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_gemm</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7/32*r1*c2*c1 + 106/32*r1*c2 + 336/32*c2 + 49</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  992<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_gemm_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*r1*c2*c1 + 12/2*r1*c2 + 29/2*c2 + 36</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_submat_copy</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*R*C + 26/2*C + 26</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_submat_copy_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 13*C + 22</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*R*C + 7/2*R + 29</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_trans_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*R*C + 6*R + 28</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_maxidx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_maxval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_minerr</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1321</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_minval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_nrand</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  6611 (N=128) 12956 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_qrd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1293362 (order=64)  3427351 (order=90)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1024<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_qrd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  215519 (order=32)  1391455 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1440<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_svd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9537374 (order=64)  68589234 (order=128)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  7520<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_svd_cmplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3387658 (order=32)  19573265 (order=64)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  8544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_urand</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9*Nx + 56 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  928<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecadd</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecmul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecrecip</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/2*Nx + 36 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecsum_sq</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 51 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_w_vec</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 27 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_add16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nx + 22 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_add32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 22 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_autocor</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx*Nr + 38/8*Nr + 33</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_bexp</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*n_hwords + 22 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*n_words + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_eswap64</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*n_dbls + 24 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_blk_move</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 19 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  64<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_dotprod</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_dotp_sqr</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 31 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16_r</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  458 (N=128) 841 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1376<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x16_imre</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft16x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  755 (N=128) 1411 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft32x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  806 (N=128) 1463 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fft32x32s</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  782 (N=128) 1439 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1280<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_firlms2</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*NH + 37 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nr*Nh + 30/8*Nr + 28</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  320<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_cplx_hM4X4</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/16*Nr*Nh + 76/16*Nr + 38</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  448<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_gen</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/32*Nr*Nh + 64/32*Nr + 48</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  800<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_gen_hM17_rA8X8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/32*Nr*Nh + 68/32*Nr + 37</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  544<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r4</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nr*Nh + 15/8*Nr + 41</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nr*Nh + 15/8*Nr + 41</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/2*Nr + 45 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  320<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h24</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  10/4*Nr + 46 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*Nr + 38 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_hM16_rM8A8X8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  7/64*Nr*Nh + 232/64*Nr + 52</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  736<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/16*Nr*Nh + 88/16*Nr + 38</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fltoq15</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 33 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x16_imre</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  454 (N=128) 743 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1536<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft16x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  809 (N=128) 1465 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  2528<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_ifft32x32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  806 (N=128) 1463 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_real16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4*Nx + 36 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_lat</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/4*Nx*Nk + 92/4*Nx + 28</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_iir_ss</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/8*nCoefs + 30 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_mul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2/8*r1*c2*c1 + 21/8*r1*c2 + 38/8*c2 + 21</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_mul_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*r1*c2*c1 + 27/4*r1*c2 + 24/4*r1 + 36</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  512<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*R*C + 35</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_maxidx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/16*Nx + 72 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_maxval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx + 26 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_minerror</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  610</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_minval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/8*Nx + 29 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_mul32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 26 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_neg32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 21 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_q15tofl</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 34 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_recip16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8*Nx + 46 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_urand16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3*Nx + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  384<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_urand32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9*Nx + 38 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  640<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_vecsum_sq</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*Nx + 25 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  64<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_w_vec</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/8*Nr + 36 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>
          
      </table>  
      <p><a href="#HOME">Top</a>
    </div>	

  </body> 

</html> 

		   
